org.richfaces.component

## Class AbstractToolbarGroup

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.AbstractToolbarGroup

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder
  Direct Known Subclasses:
    UIToolbarGroup

      public abstract class AbstractToolbarGroup
      extends javax.faces.component.UIComponentBase

  The <rich:toolbarGroup> component is a child component of the <rich:toolbar> component. The <rich:toolbarGroup> component is used to group a number of items together on a toolbar.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractToolbarGroup()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `getItemClass()` CSS style(s) to be applied when the item elements are rendered.
    `abstract String` | `getItemSeparator()` A separator between items on a bar.
    `abstract String` | `getItemStyle()` Space-separated list of CSS style class(es) to be applied when the item element is rendered.
    `abstract String` | `getLocation()` Location of the toolbar items in the parent toolbar.
    `abstract String` | `getOnitemclick()` The client-side script method to be called when an item is clicked
    `abstract String` | `getOnitemdblclick()` The client-side script method to be called when an item is double-clicked
    `abstract String` | `getOnitemkeydown()` The client-side script method to be called when a key is pressed down over the element
    `abstract String` | `getOnitemkeypress()` The client-side script method to be called when a key is pressed and released over an item
    `abstract String` | `getOnitemkeyup()` The client-side script method to be called when a key is released
    `abstract String` | `getOnitemmousedown()` The client-side script method to be called when a mouse button is pressed down over an item
    `abstract String` | `getOnitemmousemove()` The client-side script method to be called when a pointer is moved within an item
    `abstract String` | `getOnitemmouseout()` The client-side script method to be called when a pointer is moved away from an item
    `abstract String` | `getOnitemmouseover()` The client-side script method to be called when a pointer is moved onto an item
    `abstract String` | `getOnitemmouseup()` The client-side script method to be called when a mouse button is released over an item
    `List<javax.faces.component.UIComponent>` | `getRenderedChildren()`
    `AbstractToolbar` | `getToolBar()`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getFamily, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractToolbarGroup

          public AbstractToolbarGroup()

  - ### Method Detail

    - #### getLocation

          public abstract String getLocation()

      Location of the toolbar items in the parent toolbar. Can be one of "left" or "right"

      Default is "left"

    - #### getItemClass

          public abstract String getItemClass()

      CSS style(s) to be applied when the item elements are rendered.

    - #### getItemStyle

          public abstract String getItemStyle()

      Space-separated list of CSS style class(es) to be applied when the item element is rendered. This value must be passed through as the "class" attribute on generated markup.

    - #### getItemSeparator

          public abstract String getItemSeparator()

      A separator between items on a bar. Possible values are "none", "line", "square", "disc" and "grid".

      Default value is "none".

    - #### getOnitemclick

          public abstract String getOnitemclick()

      The client-side script method to be called when an item is clicked

    - #### getOnitemdblclick

          public abstract String getOnitemdblclick()

      The client-side script method to be called when an item is double-clicked

    - #### getOnitemmousedown

          public abstract String getOnitemmousedown()

      The client-side script method to be called when a mouse button is pressed down over an item

    - #### getOnitemmouseup

          public abstract String getOnitemmouseup()

      The client-side script method to be called when a mouse button is released over an item

    - #### getOnitemmouseover

          public abstract String getOnitemmouseover()

      The client-side script method to be called when a pointer is moved onto an item

    - #### getOnitemmousemove

          public abstract String getOnitemmousemove()

      The client-side script method to be called when a pointer is moved within an item

    - #### getOnitemmouseout

          public abstract String getOnitemmouseout()

      The client-side script method to be called when a pointer is moved away from an item

    - #### getOnitemkeypress

          public abstract String getOnitemkeypress()

      The client-side script method to be called when a key is pressed and released over an item

    - #### getOnitemkeydown

          public abstract String getOnitemkeydown()

      The client-side script method to be called when a key is pressed down over the element

    - #### getOnitemkeyup

          public abstract String getOnitemkeyup()

      The client-side script method to be called when a key is released

    - #### getToolBar

          public AbstractToolbar getToolBar()

    - #### getRenderedChildren

          public List<javax.faces.component.UIComponent> getRenderedChildren()

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.